UbixOS V2 2.0

Functions
kmalloc.c File Reference
`#include <lib/kmalloc.h>`
`#include <lib/kprintf.h>`
`#include <ubixos/kpanic.h>`
`#include <ubixos/sched.h>`
`#include <ubixos/spinlock.h>`
`#include <vmm/vmm.h>`
`#include <string.h>`
`#include <assert.h>`
`#include <sys/types.h>`
Include dependency graph for kmalloc.c:

Go to the source code of this file.

## Functions
void | kfree (void *baseAddr)
void * | kmalloc (uInt32 len)

## Function Documentation

## ◆ kfree()

void kfree | ( | void * | baseAddr | ) |

Definition at line 342 of file kmalloc.c.

References assert, and memDescriptor::baseAddr.

Referenced by close(), elf_load_file(), execFile(), falloc(), fdestroy(), fopen(), kmod_load(), ldEnable(), ne2kFreeBuffer(), operator delete(), operator delete[](), pciProbe(), sdeThread(), sem_destroy(), sys_read(), sys_write(), sysExec(), systemTask(), ubixfs_cacheDelete(), ubixFSmkDir(), ubthread_cond_destroy(), ubthread_mutex_destroy(), vfs_mount(), writeFileByte(), and writeUbixFS().

## ◆ kmalloc()

void* kmalloc | ( | uInt32 | len | ) |

Definition at line 241 of file kmalloc.c.

References spinLock().

Referenced by addDirEntry(), biosCall(), device_add(), dup2(), elf_load_file(), execFile(), falloc(), fcntl(), fdc_init(), fopen(), initLNC(), kmod_add(), kmod_load(), ldEnable(), lnc_rxINT(), lnc_thread(), lncAttach(), new_trieNode(), operator new(), operator new[](), pciProbe(), schedNewTask(), sem_init(), shell_thread(), sys_fork(), sys_pipe2(), sys_sem_new(), sys_thread_new(), sys_write(), sysExec(), sysSDE(), ubixfs_cacheNew(), ubixfs_initialize(), ubixFSLoadDir(), ubixFSmkDir(), ubthread_cond_init(), ubthread_mutex_init(), vfs_mount(), vitals_init(), writeFileByte(), and writeUbixFS().

Here is the call graph for this function: